DQ Alert API
The DQ Alert API allows you to manage dataset alerts in Collibra Data Quality & Observability
Returns a list of all alerts and their details.
List of alerts
Deprecated: Use alertTypes field instead. Alert trigger type mapping: 0 - Condition 1 - Job Failure 2 - Job Complete
GET /v3/alerts HTTP/1.1
Host: <host-name>
Accept: */*
List of alerts
[
{
"dataset": "text",
"alertNm": "text",
"alertCond": "text",
"alertFormat": "text",
"alertFormatValue": "text",
"alertMsg": "text",
"batchName": "text",
"addRuleDetails": true,
"alertTypes": [
"CONDITION"
]
}
]Creates or updates an alert for a given dataset. Pre-authorization requirements:
hasDatasetAccess(#alertDto.dataset)
Deprecated: Use alertTypes field instead. Alert trigger type mapping: 0 - Condition 1 - Job Failure 2 - Job Complete
Upserted alert
Deprecated: Use alertTypes field instead. Alert trigger type mapping: 0 - Condition 1 - Job Failure 2 - Job Complete
Forbidden. No access to dataset
POST /v3/alerts HTTP/1.1
Host: <host-name>
Content-Type: application/json
Accept: */*
Content-Length: 187
{
"dataset": "text",
"alertNm": "text",
"alertCond": "text",
"alertFormat": "text",
"alertFormatValue": "text",
"alertMsg": "text",
"batchName": "text",
"addRuleDetails": true,
"alertTypes": [
"CONDITION"
]
}{
"dataset": "text",
"alertNm": "text",
"alertCond": "text",
"alertFormat": "text",
"alertFormatValue": "text",
"alertMsg": "text",
"batchName": "text",
"addRuleDetails": true,
"alertTypes": [
"CONDITION"
]
}Returns a list of all alerts and their details for a given dataset. Pre-authorization requirements:
hasDatasetAccess(#dataset)
Dataset name
List of alerts by dataset
Deprecated: Use alertTypes field instead. Alert trigger type mapping: 0 - Condition 1 - Job Failure 2 - Job Complete
User does not have access to the dataset
GET /v3/alerts/{dataset} HTTP/1.1
Host: <host-name>
Accept: */*
[
{
"dataset": "text",
"alertNm": "text",
"alertCond": "text",
"alertFormat": "text",
"alertFormatValue": "text",
"alertMsg": "text",
"batchName": "text",
"addRuleDetails": true,
"alertTypes": [
"CONDITION"
]
}
]Retrieves the details of a given alert. Pre-authorization requirements:
hasDatasetAccess(#dataset)
Dataset name
Alert name
Alert by dataset and alertName
Deprecated: Use alertTypes field instead. Alert trigger type mapping: 0 - Condition 1 - Job Failure 2 - Job Complete
User does not have access to the dataset
GET /v3/alerts/{dataset}/{alertName} HTTP/1.1
Host: <host-name>
Accept: */*
{
"dataset": "text",
"alertNm": "text",
"alertCond": "text",
"alertFormat": "text",
"alertFormatValue": "text",
"alertMsg": "text",
"batchName": "text",
"addRuleDetails": true,
"alertTypes": [
"CONDITION"
]
}Delete a given alert. Pre-authorization requirements:
hasDatasetAccess(#dataset)
Dataset name
Alert name
Alert deleted
No content
User does not have access to the dataset
DELETE /v3/alerts/{dataset}/{alertName} HTTP/1.1
Host: <host-name>
Accept: */*
No content
Returns a list of alert notifications for a given dataset. Pre-authorization requirements:
hasDatasetAccess(#dataset)
Dataset name
Run id
List of alerts notifications by dataset
User does not have access to the dataset
GET /v3/alerts/{dataset}/notifications HTTP/1.1
Host: <host-name>
Accept: */*
[
{
"dataset": "text",
"runId": "2026-01-01T00:00:00.000Z",
"alertNm": "text",
"alertCond": "text",
"alertFormat": "text",
"alertFormatValue": "text",
"alertMsg": "text",
"alertOutputId": 1,
"updtTs": "2026-01-01T00:00:00.000Z",
"alertTypes": [
"CONDITION"
]
}
]Returns a list of alert notifications for a given Job ID.
Job Id
Job UUID
List of alerts notifications by jobId
User does not have access to the dataset
Job not found
GET /v3/alerts/notifications HTTP/1.1
Host: <host-name>
Accept: */*
[
{
"dataset": "text",
"runId": "2026-01-01T00:00:00.000Z",
"alertNm": "text",
"alertCond": "text",
"alertFormat": "text",
"alertFormatValue": "text",
"alertMsg": "text",
"alertOutputId": 1,
"updtTs": "2026-01-01T00:00:00.000Z",
"alertTypes": [
"CONDITION"
]
}
]Last updated
Was this helpful?